Description

The dnscmd DNS provider for Windows doesn't support PTR records as it's hard to determine the appropriate zone.  See 

https://github.com/theforeman/smart-proxy/pull/127/files#r8814653 for a bit more info.

Here's some code I didn't include in the merge as it was commented out:

+          # zone = nil

+          # msg = "Added reverse DNS entry #{@value} => #{@fqdn}" 

+          # data = @value.split(".")

+          # if data[3].eql?("10")

+          #   zone = "10.in-addr.arpa" 

+          # end

+          # return nil if zone.nil?

+          # cmd = "/RecordAdd #{zone} #{@value}. PTR #{@fqdn}." 

+          # execute(cmd, msg)

+          return true

Related issues:

Related to Smart Proxy - Feature #3991: dnscmd provider for smart-proxy (Wind... Closed 01/10/2014

Related to Smart Proxy - Bug #13536: DNS provider dnscmf: PTR's are currently... Closed 02/03/2016

History

#1 - 01/15/2014 02:27 PM - Dominic Cleal

- Related to Feature #3991: dnscmd provider for smart-proxy (Windows) added

#2 - 12/22/2014 09:18 AM - Oliver Weinmann

Hi,

it seems that this is also a problem when provisioning SLES hosts. We switched from nsupdate to dnscmd since we use scavenging on windows dns

server. When deploying a SLES host with dnscmd, the host has no hostname set. Using nsupdate this works fine. I guess it has something to do with

the missing PTR record? Deploying CentOS with dnscmd works fine.

#3 - 02/19/2016 09:13 AM - Anonymous

- Related to Bug #13536: DNS provider dnscmf: PTR's are currently noop added

#4 - 02/29/2016 10:01 AM - Anonymous

- Status changed from New to Resolved

Has been resolved in http://projects.theforeman.org/issues/13536. Closing.
